Class | Chef::Provider::Deploy
In: | lib/chef/provider/deploy/revision.rb lib/chef/provider/deploy/timestamped.rb lib/chef/provider/deploy.rb
Parent: | Object

### Methods

action_deploy action_force_deploy action_rollback all_releases callback cleanup! copy_cached_repo create_dirs_before_symlink deploy enforce_ownership gem_packages gem_resource_collection_runner install_gems link_current_release_to_production link_tempfiles_to_current_release load_current_resource migrate new purge_tempfiles_from_current_release release_created release_deleted release_slug restart run run_callback_from_file run_options run_scm_sync run_symlinks_before_migrate sudo svn_force_export symlink update_cached_repo

### Included Modules

Chef::Mixin::FromFile Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Deploy::Revision
Class Chef::Provider::Deploy::Timestamped

### Attributes

release_path | [R] |
scm_provider | [R] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_deploy()
action_force_deploy()
action_rollback()
all_releases()
callback(what, callback_code=nil)
cleanup!()
copy_cached_repo()
create_dirs_before_symlink()
deploy()
enforce_ownership()
link_current_release_to_production()
link_tempfiles_to_current_release()
load_current_resource()
migrate()
purge_tempfiles_from_current_release()
restart()
run(command, &block)
run_scm_sync()
run_symlinks_before_migrate()
sudo(command,&block)
svn_force_export()
symlink()
update_cached_repo()

### Protected Instance methods

gem_packages()
gem_resource_collection_runner()
install_gems()
release_created(release_path)

Internal callback, called after copy_cached_repo. Override if you need to keep state externally.

release_deleted(release_path)

Internal callback, called during cleanup! for each old release removed. Override if you need to keep state externally.

release_slug()
run_callback_from_file(callback_file)
run_options(run_opts={})

[Validate]